Bug 520285 - windows 64 bit does vmexit on each cr8 access.
Summary: windows 64 bit does vmexit on each cr8 access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Gleb Natapov
QA Contact: Lawrence Lim
URL:
Whiteboard:
: 520723 (view as bug list)
Depends On:
Blocks: 521793
TreeView+ depends on / blocked
 
Reported: 2009-08-30 07:06 UTC by Gleb Natapov
Modified: 2014-03-26 01:01 UTC (History)
12 users (show)

Fixed In Version: kvm-83-109.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:52:13 UTC


Attachments (Terms of Use)
patch to avoid calling adjust_vmx_controls() twice (1.06 KB, text/plain)
2009-09-30 10:24 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0271 normal SHIPPED_LIVE Important: kvm security, bug fix and enhancement update 2010-03-29 13:19:48 UTC

Description Gleb Natapov 2009-08-30 07:06:09 UTC
This causes a massive performance problem on Windows x64.

Comment 12 Gleb Natapov 2009-09-17 06:38:15 UTC
I don't know. Some kind of windows performance benchmark may be?

Comment 13 Dor Laor 2009-09-17 06:49:27 UTC
You can use iperf/netperf or any other benchmark.
Please measure the vmexists using kvm_stat

Comment 14 lihuang 2009-09-17 08:10:29 UTC
(In reply to comment #13)
> You can use iperf/netperf or any other benchmark.
> Please measure the vmexists using kvm_stat  

OK . I will do the testing. Thank you very much for the information

Comment 15 Gleb Natapov 2009-09-30 10:15:57 UTC
*** Bug 520723 has been marked as a duplicate of this bug. ***

Comment 16 IBM Bug Proxy 2009-09-30 10:24:33 UTC
Created attachment 363168 [details]
patch to avoid calling adjust_vmx_controls() twice

Comment 18 IBM Bug Proxy 2009-12-04 20:01:14 UTC
------- Comment From amdavis@us.ibm.com 2009-12-04 14:50 EDT-------
What is the status of this bug?  Is the RH bug 520285 resolved yet?
Patch reviewed? Accepted?  Target for fix?

Comment 19 Eduardo Habkost 2009-12-04 21:11:11 UTC
(In reply to comment #18)
> ------- Comment From amdavis@us.ibm.com 2009-12-04 14:50 EDT-------
> What is the status of this bug?  Is the RH bug 520285 resolved yet?
> Patch reviewed? Accepted?  Target for fix?  

Patch was accepted and included on build kvm-83-109.el5.

5.4.z status was tracked at bug #521793 (it was released on advisory http://rhn.redhat.com/errata/RHSA-2009-1465.html )

Comment 24 IBM Bug Proxy 2010-02-09 21:42:20 UTC
------- Comment From habanero@us.ibm.com 2010-02-09 16:33 EDT-------
fixed in errata update
http://rhn.redhat.com/errata/RHSA-2009-1465.html

Comment 26 errata-xmlrpc 2010-03-30 07:52:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0271.html


Note You need to log in before you can comment on or make changes to this bug.